{
	flake.modules.nixos.intel-gpu = {pkgs, ...}: {
		boot.kernelModules = [ "kvm-intel" ];

		hardware.graphics = {
			enable = true;
			extraPackages = with pkgs; [
				intel-media-driver
				intel-compute-runtime
			];
		};

		environment.sessionVariables.LIBVA_DRIVER_NAME = "iHD";
	};
}
